## rtpdtmfmux

rtpdtmfmux — mixes RTP DTMF streams into other RTP streams

## Types and Values

struct | GstRTPDTMFMux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPMux
                        ╰── GstRTPDTMFMux

## Description

The RTP "DTMF" Muxer muxes multiple RTP streams into a valid RTP stream. It does exactly what its parent (rtpmux) does, except that it prevent buffers coming over a regular sink_%`u` pad from going through for the duration of buffers that came in a priority_sink_%`u` pad.

This is especially useful if a discontinuous source like dtmfsrc or rtpdtmfsrc are connected to the priority sink pads. This way, the generated DTMF signal can replace the recorded audio while the tone is being sent.

## Synopsis

### Element Information

plugin | rtpmanager
author | Zeeshan Ali <first.last@nokia.com>
class | Codec/Muxer

### Element Pads

name | priority_sink_%u
direction | sink
presence | request
details | application/x-rtp

name | sink_%u
direction | sink
presence | request
details | application/x-rtp

name | src
direction | source
presence | always
details | application/x-rtp

## Functions

## Types and Values

### struct GstRTPDTMFMux

    struct GstRTPDTMFMux;

The opaque GstRTPDTMFMux structure.

## See Also

rtpdtmfsrc, dtmfsrc, rtpmux